diff -u -Naur yafc-1.0/NEWS yafc-1.0.fink/NEWS
--- yafc-1.0/NEWS	Thu Dec  5 17:06:59 2002
+++ yafc-1.0.fink/NEWS	Fri Jan 10 17:24:33 2003
@@ -260,7 +260,7 @@
 
 * added --help option for untag
 * added *.md5 to ascii_transfer_mask
-* now parses system-wide /etc/yafcrc on startup
+* now parses system-wide @PREFIX@/etc/yafcrc on startup
   + doesn't create default ~/.yafc/yafcrc on first run
 * rglob.c: didn't update directory cache properly
 * segfault in get/put if connection timed out
diff -u -Naur yafc-1.0/configure yafc-1.0.fink/configure
--- yafc-1.0/configure	Thu Dec  5 17:15:45 2002
+++ yafc-1.0.fink/configure	Fri Jan 10 17:25:50 2003
@@ -1635,7 +1635,7 @@
 
 
 # expand $ac_aux_dir to an absolute path
-am_aux_dir=`cd $ac_aux_dir && pwd`
+am_aux_dir=`CDPATH=:; cd $ac_aux_dir`
 
 test x"${MISSING+set}" = xset || MISSING="\${SHELL} $am_aux_dir/missing"
 # Use eval to expand $SHELL
diff -u -Naur yafc-1.0/doc/yafc.info yafc-1.0.fink/doc/yafc.info
--- yafc-1.0/doc/yafc.info	Mon Dec  2 12:19:15 2002
+++ yafc-1.0.fink/doc/yafc.info	Fri Jan 10 17:24:33 2003
@@ -1512,7 +1512,7 @@
 Configuration
 *************
 
-   Yafc will parse a system-wide configuration file, `/etc/yafcrc',
+   Yafc will parse a system-wide configuration file, `@PREFIX@/etc/yafcrc',
 first. Then, personal settings are read from `~/.yafc/yafcrc'
 (overriding the global ones). If none of those files exists, internal
 defaults will be used.
diff -u -Naur yafc-1.0/doc/yafc_config.texi yafc-1.0.fink/doc/yafc_config.texi
--- yafc-1.0/doc/yafc_config.texi	Tue Dec 11 06:21:49 2001
+++ yafc-1.0.fink/doc/yafc_config.texi	Fri Jan 10 17:24:33 2003
@@ -2,7 +2,7 @@
 @chapter Configuration
 
 Yafc will parse a system-wide configuration file,
-@file{/etc/yafcrc}, first. Then, personal settings are read from
+@file{@PREFIX@/etc/yafcrc}, first. Then, personal settings are read from
 @file{~/.yafc/yafcrc} (overriding the global ones). If none of those
 files exists, internal defaults will be used.
 
diff -u -Naur yafc-1.0/src/main.c yafc-1.0.fink/src/main.c
--- yafc-1.0/src/main.c	Thu Dec  5 17:02:35 2002
+++ yafc-1.0.fink/src/main.c	Fri Jan 10 17:24:33 2003
@@ -385,7 +385,7 @@
 
 	if(!override_yafcrc) {
 		char *tmp;
-		parse_rc("/etc/yafcrc", false);
+		parse_rc("@PREFIX@/etc/yafcrc", false);
 		parse_rc(configfile, false);
 		asprintf(&tmp, "%s/bookmarks", gvWorkingDirectory);
 		parse_rc(tmp, false);
diff -u -Naur yafc-1.0/yafc-import_ncftp.pl yafc-1.0.fink/yafc-import_ncftp.pl
--- yafc-1.0/yafc-import_ncftp.pl	Wed Dec 31 19:00:00 1969
+++ yafc-1.0.fink/yafc-import_ncftp.pl	Fri Jan 10 17:24:33 2003
@@ -0,0 +1,68 @@
+#!/usr/bin/perl -w
+#
+# A simple ncftp -> yafc bookmark converter by Mike Wayne (arc@cts.com)
+# Sorry if my code sucks!
+#
+# Example usage:
+# yafc-import_ncftp.pl ~/.ncftp/bookmarks >> ~/.yafc/bookmarks
+#
+# If a filename argument is not given, ~/.ncftp/bookmarks will be read.
+
+use strict;
+my $mime;
+
+# set these to their appropriate settings.
+my $anonpass	= 'user@host.com';			# anonymous password
+my $ncftpbm	= "$ENV{HOME}/.ncftp/bookmarks";	# ncftp bookmarks
+
+eval 'use MIME::Base64';
+if ($@ eq '') { $mime = 1 }
+
+chomp($anonpass = encode_base64($anonpass)) if $mime;
+$ncftpbm = $ARGV[0] if $ARGV[0];
+
+open(BOOKMARKS, $ncftpbm) or die "Unable to open ncftp bookmarks file $ncftpbm: $!\n";
+
+print <<NOTICE;
+# this is an automagically created file
+# so don't bother placing comments here, they will be overwritten
+# make sure this file isn't world readable if passwords are stored here
+
+NOTICE
+
+while (<BOOKMARKS>)
+{
+	if ($_ =~ /,/)
+	{
+		my @bookmark = split(/,/, $_);
+
+		$bookmark[2] ||= 'anonymous';
+		$bookmark[7] ||= 21;
+	
+		print "machine $bookmark[1]:$bookmark[7] alias '$bookmark[0]'\n  login ";
+
+		if ($bookmark[2] eq 'anonymous')
+		{
+			print 'anonymous password ';
+			print "[base64]" if $mime;
+			print $anonpass;
+		}
+
+		else
+		{
+			print $bookmark[2];
+
+			$bookmark[3] =~ s/^\*encoded\*/\[base64\]/ if $bookmark[3];
+			print " password $bookmark[3]" if $bookmark[3];
+		}
+
+		$bookmark[5] = "\"$bookmark[5]\"" if ($bookmark[5] =~ m/ /);
+		print " cwd $bookmark[5]" if ($bookmark[5] && $bookmark[5] ne '/');
+
+		print "\n\n";
+	}
+}
+
+print "# end of bookmark file\n";
+
+close(BOOKMARKS);
diff -Nurd -x'*~' yafc-1.0.orig/lib/gssapi.c yafc-1.0/lib/gssapi.c
--- yafc-1.0.orig/lib/gssapi.c	2002-12-05 17:12:36.000000000 -0500
+++ yafc-1.0/lib/gssapi.c	2006-03-22 18:03:19.000000000 -0500
@@ -72,7 +72,7 @@
 static gss_OID_desc gss_c_nt_hostbased_service_oid_desc =
 {10, (void *)"\x2a\x86\x48\x86\xf7\x12" "\x01\x02\x01\x04"};
 
-static gss_OID GSS_C_NT_HOSTBASED_SERVICE = &gss_c_nt_hostbased_service_oid_desc;
+gss_OID GSS_C_NT_HOSTBASED_SERVICE = &gss_c_nt_hostbased_service_oid_desc;
 
 
 
